import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDoorLockClusterLockOperationErrorEvent extends _NSObject {
    static alloc(): _MTRDoorLockClusterLockOperationErrorEvent;
    static new(): _MTRDoorLockClusterLockOperationErrorEvent;
    init(): _MTRDoorLockClusterLockOperationErrorEvent;
    lockOperationType(): _NSNumber;
    setLockOperationType$(value: _NSNumber): void;
    operationSource(): _NSNumber;
    setOperationSource$(value: _NSNumber): void;
    operationError(): _NSNumber;
    setOperationError$(value: _NSNumber): void;
    userIndex(): _NSNumber | null;
    setUserIndex$(value: _NSNumber | null): void;
    fabricIndex(): _NSNumber | null;
    setFabricIndex$(value: _NSNumber | null): void;
    sourceNode(): _NSNumber | null;
    setSourceNode$(value: _NSNumber | null): void;
    credentials(): _NSArray | null;
    setCredentials$(value: _NSArray | null): void;
}
export interface _MTRDoorLockClusterLockOperationErrorEvent extends _NSCopying {
}
